
#ifndef SPECTRE_GRAPHICS_FONT_ENGINE_FREETYPELIB_H
#define SPECTRE_GRAPHICS_FONT_ENGINE_FREETYPELIB_H

#include <ft2build.h>
#include FT_FREETYPE_H
#include FT_STROKER_H

namespace sp {

class FreeTypeLib
{
public :
	static FreeTypeLib& getInstance();

	// Do not implement.
	FreeTypeLib(const FreeTypeLib&);
	void operator=(const FreeTypeLib&);

	FT_Library handle;

	FT_Stroker stroker;

private :

	FreeTypeLib();
	~FreeTypeLib();
};

} // namespace sp

#endif /* SPECTRE_GRAPHICS_FONT_ENGINE_FREETYPELIB_H */
